| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::AttitudeModel Class Reference

Attitude model. More...

List of all members.

## Public Member Functions
| AttitudeModel ()
| Empty constructor.
| AttitudeModel (long attModel, long AOCSModel, ParamModel &parMod, HarmonicModel &harmMod, FileModel &fileMod, AngleModel &angleMod, MatrixModel &matrixMod)
| Constructor with parameters.
| AttitudeModel (const AttitudeModel &attModel)
| Copy constructor.
| ~AttitudeModel ()
| Destructor.
void | operator= (const AttitudeModel &attModel)
| Operator=.
## Public Attributes
long | attitudeModel
| Attitude model type (AttModelEnum).
long | AOCS
| AOCS model.
ParamModel * | paramModel
HarmonicModel * | harmonicModel
FileModel * | fileModel
AngleModel * | angleModel
MatrixModel * | matrixModel

## Detailed Description

Attitude model.

## Constructor & Destructor Documentation

EECFI::AttitudeModel::AttitudeModel | ( |  | ) |

Empty constructor.

References angleModel, AOCS, attitudeModel, fileModel, harmonicModel, matrixModel, and paramModel.

EECFI::AttitudeModel::AttitudeModel | ( | long | attModel,
|  | long | AOCSModel,
|  | ParamModel & | parMod,
|  | HarmonicModel & | harmMod,
|  | FileModel & | fileMod,
|  | AngleModel & | angleMod,
|  | MatrixModel & | matrixMod |
| ) |  |  |

Constructor with parameters.

References angleModel, AOCS, attitudeModel, fileModel, harmonicModel, matrixModel, and paramModel.

EECFI::AttitudeModel::AttitudeModel | ( | const AttitudeModel & | attModel | ) |

Copy constructor.

attModel AttitudeModel object we want to copy.

References angleModel, AOCS, fileModel, harmonicModel, matrixModel, and paramModel.

EECFI::AttitudeModel::~AttitudeModel | ( |  | ) |

Destructor.

## Member Function Documentation

void EECFI::AttitudeModel::operator= | ( | const AttitudeModel & | attModel | ) |

Operator=.

attModel AttitudeModel object we want to copy.

References angleModel, AOCS, attitudeModel, fileModel, harmonicModel, matrixModel, and paramModel.

## Member Data Documentation

AngleModel* EECFI::AttitudeModel::angleModel

Referenced by AttitudeModel(), operator=(), EECFI::SdfFile::read(), and EECFI::SdfRec::SdfRec().

long EECFI::AttitudeModel::AOCS

AOCS model.

Referenced by AttitudeModel(), operator=(), EECFI::SdfFile::read(), and EECFI::SdfRec::SdfRec().

long EECFI::AttitudeModel::attitudeModel

Attitude model type (AttModelEnum).

Referenced by AttitudeModel(), operator=(), EECFI::SdfFile::read(), and EECFI::SdfRec::SdfRec().

FileModel* EECFI::AttitudeModel::fileModel

Referenced by AttitudeModel(), operator=(), EECFI::SdfFile::read(), and EECFI::SdfRec::SdfRec().

HarmonicModel* EECFI::AttitudeModel::harmonicModel

Referenced by AttitudeModel(), operator=(), EECFI::SdfFile::read(), and EECFI::SdfRec::SdfRec().

MatrixModel* EECFI::AttitudeModel::matrixModel

Referenced by AttitudeModel(), operator=(), EECFI::SdfFile::read(), and EECFI::SdfRec::SdfRec().

ParamModel* EECFI::AttitudeModel::paramModel

Referenced by AttitudeModel(), operator=(), EECFI::SdfFile::read(), and EECFI::SdfRec::SdfRec().